org.codehaus.groovy.classgen.asm.indy

## Class IndyBinHelper

- java.lang.Object
- - org.codehaus.groovy.classgen.asm.BinaryExpressionHelper
  - - org.codehaus.groovy.classgen.asm.indy.IndyBinHelper

-     public class IndyBinHelper
      extends BinaryExpressionHelper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndyBinHelper(WriterController wc)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `writePostOrPrefixMethod(int op, java.lang.String method, Expression expression, Expression orig)`

    - ### Methods inherited from class org.codehaus.groovy.classgen.asm.BinaryExpressionHelper

      `assignToArray, eval, evaluateArrayAssignmentWithOperator, evaluateBinaryExpression, evaluateBinaryExpressionWithAssignment, evaluateCompareExpression, evaluateEqual, evaluatePostfixMethod, evaluatePrefixMethod, evaluateTernary, getController, getIsCaseMethod`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IndyBinHelper

          public IndyBinHelper(WriterController wc)

  - ### Method Detail

    - #### writePostOrPrefixMethod

          protected void writePostOrPrefixMethod(int op,
                                                 java.lang.String method,
                                                 Expression expression,
                                                 Expression orig)

      Overrides:
        `writePostOrPrefixMethod` in class `BinaryExpressionHelper`